Решено: gentoo заскоки

Sabayon, Calculate, Funtoo, Exherbo

Модератор: /dev/random

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Решено: gentoo заскоки

Сообщение yoricI »

Здравия!
Скажите пож-ста, как так может быть, что некоторые пакеты (в частности, linux-headers, glibc, gcc) предлагаются к обновлению и по @system, и по @world? В /var/lib/portage/world они не прописаны.
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
14.01.2017 20:59
Здравия!
Скажите пож-ста, как так может быть, что некоторые пакеты (в частности, linux-headers, glibc, gcc) предлагаются к обновлению и по @system, и по @world? В /var/lib/portage/world они не прописаны.

/var/lib/portage/world называется @selected-packages.
/var/lib/portage/world_sets называется @selected-sets.
@selected = @selected-packages + @selected-sets
@world = @selected + @system + @profile
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

То есть, для полного обновления (и @system в том числе) достаточно @world. А отдельно @system имеет смысл, например, для того, чтобы потом world пересобрать обновлёнными инструментами (те же gcc etc)?
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
14.01.2017 21:15
То есть, для полного обновления (и @system в том числе) достаточно @world. А отдельно @system имеет смысл, например, для того, чтобы потом world пересобрать обновлёнными инструментами (те же gcc etc)?

Да по обоим пунктам.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Какая-то мистика с sensord. Он стоит работает, на файлосистеме лежит, а eix его не находит, и в package.gentoo.org его нет на сей момент. Ну это понятно, делал -sync когда пакет пропал с package.gentoo.org.
А вот почему genlop & qlop его не обнаруживают в логах portage, как будто он святым духом занёсся на систему. В distfiles исходников нет (ну это возможно чистил), --unmerge не проходит тоже - нет такого пакета. В world-файле нет, хотя, помнится, я его отдельно устанавливал, так как он никому по зависимостям не нужен...
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

А вот если своё предыдущее сообщение отредактировать, то оно наверх не подскакивает, и потому его никто не читает, наверное :-)
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
14.01.2017 21:24
Какая-то мистика с sensord. Он стоит работает, на файлосистеме лежит, а eix его не находит, и в package.gentoo.org его нет на сей момент. Ну это понятно, делал -sync когда пакет пропал с package.gentoo.org.
А вот почему genlop & qlop его не обнаруживают в логах portage, как будто он святым духом занёсся на систему. В distfiles исходников нет (ну это возможно чистил), --unmerge не проходит тоже - нет такого пакета. В world-файле нет, хотя, помнится, я его отдельно устанавливал, так как он никому по зависимостям не нужен...

Пакет называется "sys-apps/lm_sensors".

yoricI писал(а):
04.02.2017 10:41
А вот если своё предыдущее сообщение отредактировать, то оно наверх не подскакивает, и потому его никто не читает, наверное :-)

Не подскакивает. Не читают. И у нас как бы принято "один вопрос = одна тема".
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Точно, вспомнил, включаешь флаг "sensord" у lm_sensors - и все дела... Так вопрос-то один - заскоки gentoo. Ну и у людей, не без этого :-D
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Здравия!
Заметил, что с обновлением компилятора с 4.9 до 5.4 всё стало собираться медленнее. Причём намного. Как пример:

Код: Выделить всё

$ genlop -c
* sys-devel/llvm-3.9.1-r1
current merge time: 3 hours, 25 minutes
ETA: 16 minutes

Код: Выделить всё

$ genlop -c
* sys-devel/llvm-3.9.1-r1
current merge time: 9 hours, 21 minutes
ETA: any time now

1) То есть раньше собирался за менее чем 4 часа, теперь больше 9-ти. Это в порядке вещей?

А уже после сборки:

Код: Выделить всё

$ qlop -Ht llvm
llvm: 4 hours 15 minutes

2) Почему несоответствие времени с genlop?
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Здравия!
Не получается очередное обновление. Включишь, что оно требует, требования меняются, и всё крутится вокруг этого "bindist". Вовлекаются разные версии openssl, openssh. Понавключаешь. потом всё идёт по кругу, вплоть до требования проинвертировать только что включенный "bindist". Что ему надо?

Код: Выделить всё

emerge -aDNuv --autounmask-backtrack=y --backtrack=30 @world
так те же непристойные предложения.

А про xorg вообще никаких предложений.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
16.10.2017 13:20
Здравия!
Не получается очередное обновление. Включишь, что оно требует, требования меняются, и всё крутится вокруг этого "bindist". Вовлекаются разные версии openssl, openssh. Понавключаешь. потом всё идёт по кругу, вплоть до требования проинвертировать только что включенный "bindist". Что ему надо?

Для dev-python/cryptography нужно, чтобы bindist в dev-libs/openssl был вЫключен. Для некоторых других пакетов, включая net-misc/openssh и dev-qt/qtnetwork - чтобы он был в том же положении, что и в них. Если вы не собираетесь передавать собранные вами бинарники кому-то ещё (флаг bindist устраняет юридические проблемы с таким распространением, обычно ценой некоторых возможностей), то вЫключите его глобально и уберите локальные исключения.

yoricI писал(а):
16.10.2017 13:20
А про xorg вообще никаких предложений.

Не обращайте на него пока внимания. Когда решите проблему с openssl, проблема с xorg либо (скорее всего) решится сама, либо (как минимум) станет более понятной.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Какой этот bindist коварный)) Вырезал его глобально, прошло успешно. А если бы собирался передавать бинарники, тогда что делать? Так и подталкивают нарушать, сопроводители cryptography, получается?
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
16.10.2017 18:51
Какой этот bindist коварный)) Вырезал его глобально, прошло успешно. А если бы собирался передавать бинарники, тогда что делать? Так и подталкивают нарушать, сопроводители cryptography, получается?

Например, собрать его с libressl вместо openssl, там таких проблем нет. Зато есть ворох других. Идеального решения нет.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Здравия!
При обновлении не пересобирается media-gfx/uniconvertor, отрывок из build.log:

Код:

i686-pc-linux-gnu-gcc -O2 -march=native -pipe -fPIC -DMAJOR_VERSION=1 -DMINOR_VERSION=0 -I/usr/include/ImageMagick-6 -I/usr/include/python2.7 -c src/uc2/libimg/_libimg.c -o /var/tmp/portage/media-gfx/uniconvertor-2.0_pre379-r1/work/uniconvertor-2.0_pre379-python2_7/temp.linux-i686-2.7/src/uc2/libimg/_libimg.o src/uc2/libimg/_libimg.c:20:29: fatal error: wand/MagickWand.h: No such file or directory #include <wand/MagickWand.h> ^

Глядь, ан и точно нет такого файла, но рядом есть каталог ImageMagick-7.

Код:

$ equery g uniconvertor * Searching for uniconvertor ... * dependency graph for media-gfx/uniconvertor-2.0_pre379-r1 `-- media-gfx/uniconvertor-2.0_pre379-r1 x86 `-- media-gfx/imagemagick-7.0.7.11 (media-gfx/imagemagick) x86


Так чего он заголовки от 6-й версии ищет? Это где проблема, или баг оформлять?

На всякий случай
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

Попробуйте uniconvertor-2.0_pre379-r2 вместо -r1.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Так мне он нужен не как сам по себе таковой, а как зависимость inkscape. Боюсь, как бы не пришлось и прочее на нестабильные версии переводить...
Эта ошибка есть на x86, на amd64 нет такого. Потому что на x86 imagemagick-7 стабильный, вот и втиснулся, что-то нарушив. А на amd64 imagemagick-7 ещё нестабильный, стоит вер. 6, с ней uniconvertor пересообрался. Скоро и до amd64 докатится эта неприятность :-) Может-таки просигнализировать наверх? :-)

А как Вы делаете в [CODE] текст цветной, если не секрет?
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
11.12.2017 12:55
Так мне он нужен не как сам по себе таковой, а как зависимость inkscape. Боюсь, как бы не пришлось и прочее на нестабильные версии переводить...
Эта ошибка есть на x86, на amd64 нет такого. Потому что на x86 imagemagick-7 стабильный, вот и втиснулся, что-то нарушив. А на amd64 imagemagick-7 ещё нестабильный, стоит вер. 6, с ней uniconvertor пересообрался. Скоро и до amd64 докатится эта неприятность :-) Может-таки просигнализировать наверх? :-)

В -r2 добавлен патч, который называется "uniconvertor-2.0_pre379-ImageMagick7.patch". Так что маинтейнеры uniconverter знают, что -r1 не работает с IM7. Вопрос только, почему IM7 стабилизировали на x86, а -r2 - нет. Может, и стоит напомнить, чтобы стабилизировали.

yoricI писал(а):
11.12.2017 12:55
А как Вы делаете в [CODE] текст цветной, если не секрет?

Это [ codebox ] - выглядит как [ code ], но не подавляет интерпретацию тегов внутри.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Спасибо, напомнил.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Почему-то не проходит такое состояние, хоть 10 раз запускай:

Код: Выделить всё

# revdep-rebuild -iv -- -a
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Collecting dynamic linking informations
 * Scanning files
 * Checking dynamic linking consistency
 * Broken files that require: libc.so.6 (64 bits)
        * /usr/lib/gnucap/models-ngspice17/bsim4.so
 * Broken files that require: libstdc++.so.6 (64 bits)
        * /usr/lib/gnucap/models-ngspice17/bsim4.so
 * Broken files that require: libgcc_s.so.1 (64 bits)
        * /usr/lib/gnucap/models-ngspice17/bsim4.so
 * Broken files that require: libm.so.6 (64 bits)
        * /usr/lib/gnucap/models-ngspice17/bsim4.so
 * Assign files to packages
        * /usr/lib/gnucap/models-ngspice17/bsim4.so -> sci-electronics/gnucap-0.35.20091207

emerge -a --verbose --oneshot --complete-graph=y sci-electronics/gnucap:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sci-electronics/gnucap-0.35.20091207::gentoo  USE="-examples" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No]
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) sci-electronics/gnucap-0.35.20091207::gentoo
>>> Installing (1 of 1) sci-electronics/gnucap-0.35.20091207::gentoo
>>> Jobs: 1 of 1 complete                           Load avg: 1.21, 1.15, 1.10
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
И далее по кругу так же в точности. Подскажите пож-ста, что такое?
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Пересобрал gentoolkit (владелец revdep-rebuild), python-exec, portage - а воз и ныне тут, что делать с этим gnucap?
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

Не могу точно сказать в чём дело, но есть несколько предположений.

1) попробуйте удалить gnucap и поставить заново, а не пересобирать поверх. Возможно, он при пересборке линкуется с одной из своих уже установленных библиотек, а через неё - с отсутствующими.

2) попробуйте использовать revdep-rebuild.sh вмесо revdep-rebuild. Какое-то время назад revdep-rebuild был переписан с нуля, а старая версия оставлена в составе пакета под другим именем. Возможно, это глюк новой версии.

Если ни то, ни другое не поможет, приведите здесь вывод "lddtree /usr/lib/gnucap/models-ngspice17/bsim4.so". Команда lddtree находится в пакете pax-utils.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

1) делал не помогло.
2) revdep-rebuild.sh отработал без ошибок. Слать баг?
Спасибо сказали:

Аватара пользователя
/dev/random
Администратор
Сообщения: 5102
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение /dev/random »

yoricI писал(а):
22.12.2017 18:18
2) revdep-rebuild.sh отработал без ошибок. Слать баг?

Просмотрел список открытых багов. Кажется, они уже знают.
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Добавлю данных :-)
Спасибо сказали:

Аватара пользователя
delvin-fil
Сообщения: 103
ОС: Linux → Gentoo

Re: Решено: gentoo заскоки

Сообщение delvin-fil »

Офтоп.
Вы каждую неделю систему обновляете? Зачем?
import __hello__
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Да, еженедельно. Для порядку. Меньше трудностей, проходит глаже. Ежедневно - чересчур, месяц - терпения не хватает :-)
Спасибо сказали:

Аватара пользователя
delvin-fil
Сообщения: 103
ОС: Linux → Gentoo

Re: Решено: gentoo заскоки

Сообщение delvin-fil »

yoricI писал(а):
23.12.2017 05:56
Да, еженедельно. Для порядку.

Вы учитесь на "О"дмина или вам просто заняться нечем?
Ибо тратить СТОЛЬКО времени на "разруливание" зависимостей, на мой взгляд, просто непозволительно, "семья/дети/родители/работа/хобби/попить_пива_с_друзьями", как бы, важней "красноглазости".
Это я как гентушник с 12 летним стажем говорю. Обновляюсь четыре раза в год. ПОЧТИ без сильных конфликтов.
import __hello__
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

Здравия!

Очередные странности:

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-libs/freetype:2

(media-libs/freetype-2.9.1-r1:2/2::gentoo, ebuild scheduled for merge) conflicts with
<media-libs/freetype-2.9.1 required by (app-text/texlive-core-2017-r3:0/0::gentoo, installed)
^ ^^^^^


Но с другой стороны:

# eix media-libs/freetype
\U\ media-libs/freetype
Available versions: (2) 2.8^d ~2.9^d 2.9.1-r1^d ~2.9.1-r2^d **9999^d
{X +adobe-cff bindist bzip2 +cleartype_hinting debug doc fontforge harfbuzz infinality png static-libs utils ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
Installed versions: 2.8(2)^d(08:34:18 13.05.2018)(X adobe-cff bzip2 cleartype_hinting png -bindist -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")


freetype-2.9.1 вообще нет в помине, почему так?

==============

Вопрос второй, случайно не помню как и где обнаружил, что dev-java/swt готов к обновлению:
# eix dev-java/swt
\U\ dev-java/swt
Available versions:
(3.7) 3.7.2-r2
(3.8) 3.8.2-r2
(4.2) ~4.2-r3
{cairo gnome opengl ELIBC="FreeBSD"}
Installed versions: 3.7.2-r2(3.7)(14:02:34 27.01.2018)(cairo opengl -gnome ELIBC="-FreeBSD")

но тем не менее по @world не предлагается, не упоминается, игнорируется, замалчивается.
Спасибо сказали:

Аватара пользователя
ormorph
Сообщения: 1770
ОС: Gentoo

Re: Решено: gentoo заскоки

Сообщение ormorph »

Ну с dev-/swt тут в полне понятно, почему не обновляется, установлен слот 3.7, следовательно обновляться не будет.
Ну а с freetype чудеса, но думаю справитесь ;)
Хотя глянул внимательнее, там перед пакетом стоит знак < следовательно требуется версия меньше указанной версии...
Спасибо сказали:

Аватара пользователя
yoricI
Сообщения: 1436
ОС: gentoo fluxbox

Re: Решено: gentoo заскоки

Сообщение yoricI »

То есть повода для беспокойства нет, в первом случае, если хватает младшего слота? Сбивает с толку отметка "обновляемый" - /U/. Посмотрел с помощью eix -u, полно таких пакетов, и даже python.
/U/ dev-lang/python
Available versions:
(2.7) 2.7.14-r1 ~2.7.14-r2
(3.4) 3.4.5-r1(3.4/3.4m)^t ~3.4.6-r1(3.4/3.4m) 3.4.8(3.4/3.4m) ~3.4.8-r1(3.4/3.4m)
(3.5) 3.5.4-r1(3.5/3.5m)^t 3.5.5(3.5/3.5m)^t ~3.5.5-r1(3.5/3.5m)^t
(3.6) 3.6.3-r1(3.6/3.6m)^t ~3.6.4(3.6/3.6m)^t 3.6.5(3.6/3.6m)^t ~3.6.5-r1(3.6/3.6m)^t
Installed versions: 2.7.14-r1(2.7)(02:12:44 14.01.2018) 3.5.5(3.5)^t(21:04:17 22.04.2018)

=========
Да, < я не разглядел... И по этому вопросу значит отставить панику, разгребут и починят?
Спасибо сказали: